Name:		allocation-mng
Summary:	XtreemOS Allocation Manager
Version:	0.3.6
Release:	%mkrel 1
Source:		%{name}-%{version}.tar.bz2
URL:		http://www.xtreemos.eu/
Group:		System/Cluster
License:	BSD
BuildRequires:	java-devel >= 1.6.0 ant
BuildRequires:	xstream
BuildArch:	noarch
Requires:	dixi-main java >= 1.6.0
Requires:	xstream
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
%description
The Allocation Manager package contains the management of the node's
resource reservation time-table.

This software is part of XtreemOS.

%prep
%setup -q
find . -type f -name '*.jar' -delete

%build
%ant -DJARDepsDir=%_javadir build-jar

%install
%{__rm} -Rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_javadir}

%ant -DDEST=%{buildroot} install
%create_jar_links

%clean
%{__rm} -Rf %{buildroot}

%files
%defattr(-,root,root)
%doc ReleaseNotes.txt
%{_javadir}/allocationmng-%{version}.jar
%{_javadir}/allocationmng.jar
%{_datadir}/dixi/allocation-mng.deps
